#
# spec file for package abi-tracker
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           abi-tracker
Version:        1.11
Release:        bp153.1.14
Summary:        Visualize ABI changes timeline of a C/C++ software library
License:        GPL-2.0+ or LGPL-2.1+
Group:          Development/Tools/Other
Url:            https://abi-laboratory.pro/tracker/
Source:         https://github.com/lvc/abi-tracker/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  help2man
Requires:       abi-compliance-checker >= 2.2
Requires:       abi-dumper >= 1.1
Requires:       abi-monitor >= 1.12
Requires:       binutils
Requires:       perl-base >= 5.8
Requires:       pkgdiff >= 1.6.4
Requires:       rfcdiff >= 1.41
Requires:       vtable-dumper >= 1.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This tool visualizes an ABI changes timeline of a C/C++ software library.

It requires input profile of the library in JSON format. It can be created
manually or automatically generated by the ABI Monitor.

%prep
%setup -q

%build
chmod 0755 %{name}.pl

%install
mkdir -vp %{buildroot}%{_prefix}
env \
	"DESTDIR=%{buildroot}"  \
	perl Makefile.pl -install \
	--prefix=%{_prefix}
# Generate man page with help2man
mkdir -p %{buildroot}%{_mandir}/man1
ln -s %{name}.pl %{name}
help2man -N -o %{name}.1 ./%{name}
install -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1

%files
%defattr(-,root,root)
%doc GPL-2.0 LGPL-2.1 LICENSE README HOWTO
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man*/*

%changelog
* Sun Sep  3 2017 astieger@suse.com
- update to 1.11:
  * Compress ABI dumps by default
  * Added new target 'compress' to compress existing ABI dumps
  * Added -clean-unused option to remove unused files (reports,
    ABI dumps, etc.)
  * Fixed graph of ABI symbols
  * Changed graph format from PNG to SVG
  * Added NoCompress option of the profile
* Wed Jul  5 2017 astieger@suse.com
- update to 1.10:
  * Add IncludeDefined option
  * Add CtagsDef option
  * Add option to generate RSS feed
  * Add -regen-dump option to regenerate old ABI dumps if comparing
    them with new ones
  * Add GraphFewXTics option of the profile
  * Add Input module to handle input data
  * Add Utils module with basic functions
  * Add Source compatibility reports (SourceCompat option)
  * Fix mapping of old and new shared objectsd
  * Fix style of report
  * Add LambdaSupport optoin
* Sat May 20 2017 astieger@suse.com
- initial package (1.9)
